const coinModel = require('../model/coinsModel');
require('../data/database');

exports.loadArrToDB = (arr) => {
  
     return new Promise( (resolve,reject) =>
     {
      arr.forEach(item => {
          var newDbItem = new coinModel({
              id: item.id ,
              rank :item.rank ,
              symbol :item.symbol ,
              name :  item.name ,
              supply : item.supply,
              maxSupply : item.maxSupply,
              marketCapUsd : item.marketCapUsd ,
              volumeUsd24Hr :  item.volumeUsd24Hr,
              priceUsd :item.priceUsd,
              changePercent24Hr :item.changePercent24Hr ,
              vwap24Hr :  item.vwap24Hr 
          })
          newDbItem.save().then(() => console.log(`item ${item.id} Saved To Database`))
          
      })
      resolve('finish save all data');

 })

}
